/*
 * Copyright 2016 Sony Corporation
 */
#ifndef	__COMMON_H__
#define	__COMMON_H__

#define	DRV_NAME		"hdvd_tray"		// device name
#define	MAJOR_NUM		204			// device major number
#if     (defined(CONFIG_TARGET_MODEL_VURI) || defined(CONFIG_TARGET_MODEL_GUPPI) || defined(CONFIG_TARGET_MODEL_ANKOU))
#define	FLAG_IS_MODEL	1
#else
#define	FLAG_IS_MODEL	0
#endif

#include "h-model_common.h"

#if	FLAG_IS_MODEL
// definition for model board
#ifndef SONY_HDVD_TRAYOUT_PIN
#define SONY_HDVD_TRAYOUT_PIN		GPIO_SONY_HDVD_TRAYOUT_PIN	// FE_TRAYOUT signal pin
#endif
#ifndef SONY_HDVD_TRAYIN_PIN
#define SONY_HDVD_TRAYIN_PIN		GPIO_SONY_HDVD_TRAYIN_PIN	// FE_TRAYIN signal pin
#endif
#ifndef SONY_HDVD_FWD_PIN
#define SONY_HDVD_FWD_PIN			GPIO_SONY_HDVD_FWD_PIN		// FE_TRCLOSE signal pin
#endif
#ifndef SONY_HDVD_REV_PIN
#define SONY_HDVD_REV_PIN			GPIO_SONY_HDVD_REV_PIN		// FE_TROPEN signal pin
#endif

#else
// definition for PF team board
#define SONY_HDVD_TRAYOUT_PIN		GPIO193	// FE_TRAYOUT signal pin
#define SONY_HDVD_TRAYIN_PIN		GPIO189	// FE_TRAYIN signal pin
#define SONY_HDVD_FWD_PIN		GPIO191	// FE_TRCLOSE signal pin
#define SONY_HDVD_REV_PIN		GPIO192	// FE_TROPEN signal pin
#endif

#endif	//	__COMMON_H__

